/*
Copyright Notice
================
BOCHS is Copyright 1994 by Kevin P. Lawton.

BOCHS is shareware for PERSONAL USE only.

For more information, read the file 'LICENSE' included in the bochs
distribution.  If you don't have access to this file, or have questions
regarding the licensing policy, the author may be contacted via:

    US Mail:  Kevin Lawton
              528 Lexington St.
              Waltham, MA 02154

    EMail:    bochs@tiac.net
*/






#include "bx_bochs.h"




  void
bx_HLT()
{
  bx_printf(1, "Processor encountered a HALT!\n");
}

void bx_CLTS() {bx_invalid_instruction();}

void bx_INVD() {bx_invalid_instruction();}
void bx_WBINVD() {bx_invalid_instruction();}
void bx_INVLPG_Ea() {bx_invalid_instruction();}

void bx_MOV_CdRd() {bx_invalid_instruction();}
void bx_MOV_DdRd() {bx_invalid_instruction();}
void bx_MOV_RdCd() {bx_invalid_instruction();}
void bx_MOV_RdDd() {bx_invalid_instruction();}
void bx_MOV_TdRd() {bx_invalid_instruction();}
void bx_MOV_RdTd() {bx_invalid_instruction();}

void bx_WAIT() {bx_invalid_instruction();}
